Create Endpoint
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/endpoint/create \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"endpoint": {
"name": "<string>",
"appName": "<string>",
"workerConfig": {
"minNum": 123,
"maxNum": 123,
"freeTimeout": 123,
"maxConcurrent": 123,
"gpuNum": 123,
"requestTimeout": 123
},
"ports": [
{
"port": "<string>"
}
],
"policy": {
"type": "<string>",
"value": 123
},
"image": {
"image": "<string>",
"authId": "<string>",
"command": "<string>"
},
"products": [
{
"id": "<string>"
}
],
"rootfsSize": 123,
"volumeMounts": [
{
"type": "<string>",
"size": 123,
"id": "<string>",
"mountPath": "<string>"
}
],
"clusterID": "<string>",
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"healthy": {
"path": "<string>"
}
}
}
'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/endpoint/create"
payload = { "endpoint": {
"name": "<string>",
"appName": "<string>",
"workerConfig": {
"minNum": 123,
"maxNum": 123,
"freeTimeout": 123,
"maxConcurrent": 123,
"gpuNum": 123,
"requestTimeout": 123
},
"ports": [{ "port": "<string>" }],
"policy": {
"type": "<string>",
"value": 123
},
"image": {
"image": "<string>",
"authId": "<string>",
"command": "<string>"
},
"products": [{ "id": "<string>" }],
"rootfsSize": 123,
"volumeMounts": [
{
"type": "<string>",
"size": 123,
"id": "<string>",
"mountPath": "<string>"
}
],
"clusterID": "<string>",
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"healthy": { "path": "<string>" }
} }
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
endpoint: {
name: '<string>',
appName: '<string>',
workerConfig: {
minNum: 123,
maxNum: 123,
freeTimeout: 123,
maxConcurrent: 123,
gpuNum: 123,
requestTimeout: 123
},
ports: [{port: '<string>'}],
policy: {type: '<string>', value: 123},
image: {image: '<string>', authId: '<string>', command: '<string>'},
products: [{id: '<string>'}],
rootfsSize: 123,
volumeMounts: [{type: '<string>', size: 123, id: '<string>', mountPath: '<string>'}],
clusterID: '<string>',
envs: [{key: '<string>', value: '<string>'}],
healthy: {path: '<string>'}
}
})
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/endpoint/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Serverless GPUs
Create Endpoint
POST
/
gpu-instance
/
openapi
/
v1
/
endpoint
/
create
Create Endpoint
Request Headers
string
obrigatório
Enum:
application/jsonstring
obrigatório
Bearer authentication format, for example: Bearer {{API Key}}.
Request Body
object
obrigatório
Endpoint configuration.
Ocultar properties
Ocultar properties
string
Endpoint name. String with a length limit of 0-220 characters.
string
Application name (reflected in the URL). The application name is part of the Endpoint URL, supports customization, and defaults to the Endpoint ID.
object
obrigatório
Worker configuration. The valid range is dynamically retrieved through the parameter limits API.
object[]
obrigatório
HTTP ports. Only one port is supported. Supported port range: 1-65535, excluding internal ports 2222, 2223, and 2224.
Mostrar properties
Mostrar properties
string
obrigatório
HTTP port.
object
obrigatório
Scaling policy. The valid range is dynamically retrieved through the parameter limits API.
Mostrar properties
Mostrar properties
string
obrigatório
Scaling policy type. Available values:
queue: Queue latency policy, scales workers based on request wait time in the queue.concurrency: Queue request policy, scales workers based on the number of requests in the queue.
integer
obrigatório
The meaning of value depends on the type:
- When type = queue, value represents the queue wait time in seconds.
- When type = concurrency, value represents the maximum number of requests in the queue.
object
obrigatório
Container image configuration.
Mostrar properties
Mostrar properties
string
obrigatório
Image address. String with a length limit of 0-511 characters.
string
Private image credential ID (not required for public images or platform user images). String with a length limit of 0-255 characters.
string
Container startup command. String with a length limit of 0-2047 characters.
integer
obrigatório
Root filesystem size in GB. Currently fixed at 100.
object[]
obrigatório
Storage configuration in GB.
Mostrar properties
Mostrar properties
string
obrigatório
Storage type. Available values:
local: Local storage.network: Network storage.
integer
Local storage size, currently fixed at 30. Not required for network storage.
string
Network storage ID. Not required for local storage.
string
obrigatório
Storage mount path. String with a length limit of 0-255 characters.
string
Cluster information. Required when mounting cloud storage and must match the cluster ID where the cloud storage is located. String with a length limit of 0-255 characters.
object[]
Response
string
The created Endpoint ID.
Última modificação em 15 de maio de 2026
⌘I